# This macro is needed at the start for building on EL6
%{?nodejs_find_provides_and_requires}

%global barename stringset

Name:               nodejs-stringset
Version:            0.2.1
Release:            3%{?dist}
Summary:            Fast and robust stringset

Group:              Development/Libraries
License:            MIT
URL:                https://www.npmjs.org/package/stringset
Source0:            http://registry.npmjs.org/%{barename}/-/%{barename}-%{version}.tgz
BuildArch:          noarch
%if 0%{?fedora} >= 19
ExclusiveArch:      %{nodejs_arches} noarch
%else
ExclusiveArch:      %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:      nodejs-packaging >= 6

%description
A fast and robust stringset implementation that can hold any string items,
including __proto__, with minimal overhead compared to a plain object. Works in
node and browsers.

The API is created to be as close to the ES6 Set API as possible. Prefer
ss.remove("key") for deleting a key. ES6 Set uses set.delete("key") instead and
for that reason ss['delete']("key") is available as a stringset alias as well.
Never do ss.delete("key") unless you're certain to be in the land of ES5 or
later.

%prep
%setup -q -n package

# Remove bundled node_modules if there are any..
rm -rf node_modules/

%nodejs_fixdep --caret

%build
%nodejs_symlink_deps --build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/stringset
cp -pr package.json examples.js stringset.js \
    %{buildroot}%{nodejs_sitelib}/stringset

%nodejs_symlink_deps

%files
%doc LICENSE README.md
%{nodejs_sitelib}/stringset/

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jul 22 2014 Ralph Bean <rbean@redhat.com> - 0.2.1-1
- Initial packaging for Fedora.
